package com.memorynotfound.jsf;

import javax.faces.component.UIComponent;
import javax.faces.component.behavior.ClientBehaviorHolder;
import javax.faces.view.facelets.BehaviorConfig;
import javax.faces.view.facelets.FaceletContext;
import javax.faces.view.facelets.TagHandler;
import java.io.IOException;

public class FocusBlurHandler extends TagHandler {

    private FocusBlurBehavior onfocus = new FocusBlurBehavior();
    private FocusBlurBehavior onblur = new FocusBlurBehavior();

    public FocusBlurHandler(BehaviorConfig config) {
        super(config);
    }

    @Override
    public void apply(FaceletContext ctx, UIComponent parent) throws IOException {
        if (parent instanceof ClientBehaviorHolder){
            ClientBehaviorHolder clientBehaviorHolder = (ClientBehaviorHolder)parent;
            clientBehaviorHolder.addClientBehavior(FocusBlurBehavior.FOCUS_EVENT, onfocus);
            clientBehaviorHolder.addClientBehavior(FocusBlurBehavior.BLUR_EVENT, onblur);
        }
    }
}
